# Class XPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.xpath.XPathException

All Implemented Interfaces:
  `Serializable`

public class XPathException extends RuntimeException
A new exception has been created for exceptions specific to these XPath interfaces. See also Document Object Model (DOM) Level 3 XPath Specification, Version 1.0, W3C Working Group Note 26 February 2004 Note that this class came from Document Object Model (DOM) Level 3 XPath Specification, Working Draft 20 August 2002 where the values of `INVALID_EXPRESSION_ERR` and `TYPE_ERR` are 1 and 2 respectively (instead of 51 and 52 as in the 2004 version).

Since:
  1.4, DOM Level 3
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `code`
  `static final short`
  `INVALID_EXPRESSION_ERR`
  If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
  `static final short`
  `TYPE_ERR`
  If the expression cannot be converted to return the specified type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XPathException(short code, String message)`

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### code

    public short code

  - ### INVALID_EXPRESSION_ERR

    public static final short INVALID_EXPRESSION_ERR
    If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
    See Also:
      - Constant Field Values

  - ### TYPE_ERR

    public static final short TYPE_ERR
    If the expression cannot be converted to return the specified type.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XPathException

    public XPathException(short code, String message)